| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxGridCellDateTimeRenderer Class Reference
Grid Related Classes

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellDateTimeRenderer:
[legend]

## Detailed Description

This class may be used to format a date/time data in a cell.

The class wxDateTime is used internally to display the local date/time or to parse the string date entered in the cell thanks to the defined format.

##

Library: wxAdvanced
Category: Grid Related Classes

See Also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellDateTimeRenderer (const wxString &outformat=wxDefaultDateTimeFormat, const wxString &informat=wxDefaultDateTimeFormat)
| Date/time renderer constructor.
virtual void | SetParameters (const wxString &params)
| Sets the strptime()-like format string which will be used to parse the date/time.
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor.
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself.
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents.
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor.
virtual | ~wxClientDataContainer ()
| Destructor.
void * | GetClientData () const
| Get the untyped client data.
wxClientData * | GetClientObject () const
| Get a pointer to the client data object.
void | SetClientData (void *data)
| Set the untyped client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us.

## Constructor & Destructor Documentation

wxGridCellDateTimeRenderer::wxGridCellDateTimeRenderer | ( | const wxString & | outformat = `wxDefaultDateTimeFormat`,
|  | const wxString & | informat = `wxDefaultDateTimeFormat`
| ) |  |

Date/time renderer constructor.

Parameters

  outformat | strptime()-like format string used the parse the output date/time.
  informat | strptime()-like format string used to parse the string entered in the cell.

## Member Function Documentation

virtual void wxGridCellDateTimeRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

Sets the strptime()-like format string which will be used to parse the date/time.

Parameters

  params | strptime()-like format string used to parse the date/time.